<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="FLOAT_MAP.html"><font color="#008000">FLOAT_MAP</font></a>;
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Mapping for REAL_xx."</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <a href="PRIVATE.html"><font color="#008000">PRIVATE</font></a>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">deferred</font></strong> <- 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <a href="REAL.html"><font color="#008000">REAL</font></a>, <a href="REAL_32.html"><font color="#008000">REAL_32</font></a>, <a href="REAL_64.html"><font color="#008000">REAL_64</font></a>, <a href="REAL_80.html"><font color="#008000">REAL_80</font></a>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_map</font></strong> f:<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">sign</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>         <-  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  TRUE if positif, FALSE else.</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">exponent</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">mantissa</font></strong>:<a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a> <-  
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Consultation.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_infinite</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_nan</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_zero</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>

  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Format.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">mantissa_bits</font></strong>:<a href="INTEGER_8.html"><font color="#008000">INTEGER_8</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">exponent_bits</font></strong>:<a href="INTEGER_8.html"><font color="#008000">INTEGER_8</font></a> <- 
</body>
</html>

